@import "../../styles/variables.scss";

.footer {
  &_appeal {
    max-width: $breakpoint-4;

    &__button {
      @include reset-button;

      margin-left: 6px;

      cursor: pointer;

      text-decoration: underline;
      color: $red;
    }
  }

  &_info {
    margin-top: 48px;
    max-width: $breakpoint-1;

    &__list {
      @include reset-list;

      margin-bottom: 48px;

      & li {
        margin-bottom: 12px;

        &:last-child {
          margin-bottom: 0;
        }
      }
    }

    &__logo {
      & a {
        max-width: 250px;
        width: 100%;
        display: inline-block;

        & img {
          width: 100%;
        }
      }
    }

    &__address {
      margin-top: 48px;
    }

    &__copyright {
      margin-top: 22px;
    }
  }

  &_form {
    width: 100%;
    max-width: $breakpoint-1;
  }

  &_venderlab {
    display: flex;
    align-items: flex-end;
    flex-direction: column;
    justify-content: flex-end;

    font-size: 12px;
    font-family: 'Jost', sans-serif;
    color: $gray-4;

    a {
      text-transform: uppercase;
      font-family: 'Jost', sans-serif;
      color: $black;
    }
  }
}

@media(min-width: $breakpoint-2) {
  .footer {
    &_info {
      margin-top: 72px;

      &__logo {
        & a {
          max-width: 390px;
        }
      }
    }
  }
}
